import Vue from 'vue'
import store from './store'
import App from './App'
import ServiceApi from './services/index.js'
import Api from './common/utilsTools.js'
import Common from './common/common.js'
import Util from './common/util.js'
import Crypto from './common/crypto.js'

//友盟+小程序统计
// #ifdef MP-WEIXIN
// import '@/common/config/uma.init.js'
// #endif

App.mpType = 'app'
Vue.config.productionTip = false
// 静态文件base路径
Vue.prototype.$Static = 'https://static.caimei365.com/app/mini-hehe/icon/'

Vue.use(Crypto)
// 工具方法1
Vue.use(Util)
// API工具方法
Vue.use(Api)
// Common工具方法
Vue.use(Common)
// ServiceApi接口方法
Vue.use(ServiceApi)

const app = new Vue({
    store,
    ...App
})

app.$mount()
